Bug 232658 - [PATCH] net-mgmt/librenms to 1.45
Summary: [PATCH] net-mgmt/librenms to 1.45
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-24 19:28 UTC by Dan Langille
Modified: 2018-11-08 13:34 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
patch to 1.44 (11.87 KB, patch)
2018-10-24 19:28 UTC, Dan Langille
no flags Details | Diff
update patch for 1.45 (11.87 KB, patch)
2018-11-01 13:03 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille freebsd_committer 2018-10-24 19:28:52 UTC
Created attachment 198596 [details]
patch to 1.44

See https://reviews.freebsd.org/D17691
Comment 1 Dan Langille freebsd_committer 2018-11-01 13:03:05 UTC
Created attachment 198853 [details]
update patch for 1.45
Comment 2 commit-hook freebsd_committer 2018-11-08 13:32:22 UTC
A commit references this bug:

Author: dvl
Date: Thu Nov  8 13:32:11 UTC 2018
New revision: 484452
URL: https://svnweb.freebsd.org/changeset/ports/484452

Log:
  Upgrade to 1.45

  https://github.com/librenms/librenms/releases/tag/1.45

  * remove mcrypt from depends (no longer used)
  * add pdo_mysql (long required but not included)
  * remove lib from ROOT_DIRS
  * mention sql-mode="" is no longer required
  * Make ./validate.php work from a package

  PR:		232658
  Approved by:	maintainer timeout (14 days)

Changes:
  head/net-mgmt/librenms/Makefile
  head/net-mgmt/librenms/distinfo
  head/net-mgmt/librenms/files/patch-LibreNMS_Validations_Dependencies.php
  head/net-mgmt/librenms/files/patch-LibreNMS_Validations_Programs.php
  head/net-mgmt/librenms/files/patch-LibreNMS_Validations_User.php
  head/net-mgmt/librenms/files/patch-html_install.php
  head/net-mgmt/librenms/files/patch-includes_common.php
  head/net-mgmt/librenms/files/patch-includes_defaults.inc.php
  head/net-mgmt/librenms/files/pkg-message.in